Retrieve a list of listings
You call thislisting:self
const url = 'https://api.zentail.com/v1/listing';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.zentail.com/v1/listing \ --header 'Authorization: Bearer <token>'This endpoint is restricted to developers who have registered an application with Zentail. Please refer to our guide on building a sales channel integration to learn more about the registration process and how to use the listing endpoint.
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters”If provided, only returns listings with an updated TS greater than the provided timestamp
If provided, only listings with the given skus will be included.
Passing this will return the number of Listings specified, otherwise defaults to 25.
Passing this will return the next page of a previous call (all other parameters will be ignored). You can find nextToken in the response from a previous GET listings call.
Responses
Section titled “ Responses ”Success
object
object
A unique identifier for this listing.
SKU which references the entire listing
A “group-level” title, applies to the entire listing
A description which applies to the entire listing
Tags which can help identify this listing
Timestamp this listing was created at
Timestamp this listing was last updated at
The list of attributes that the variants in this group should be selectable by
object
This is the URL that you can download the image from
This is a hash of the image contents, it can be used to differentiate one image from another.
The category for this listing on the channel
object
object
Listing data should provide all of the listing-level data attributes. Only a subset of the total realm of possible attributes will be provided. This will be based on the Zentail SMART Type system and some other factors. If an attribute is not provided, it can be assumed the value is null. If attributes were created during the mapping process that require explicit units that would be provided in separate unit and value keys.
object
Name of attribute
Value for attribute
The list of variants. Each item provides variant specific inventory, pricing, and catalog attribute data.
object
A unique identifier for this variant
The available inventory to be sold. This number is Zentails understanding of the sellable quantity which should account for units reserved by unfulfilled orders.
The last time an inventory change was made to this product by anything other than a sale on this channel. This can be used to know when Zentails available inventory level should be ingested in place of any internal inventory accounting your system may be doing.
object
This is the price the item should be sold for
MSRP
MAP - minimum advertised price
If this value is provided, this product is on sale and markedDownFrom can be shown as a “strike-through” price
object
This is the URL that you can download the image from
This is a hash of the image contents, it can be used to differentiate one image from another.
An array of secondary images for this variant.
object
This is the URL that you can download the image from
This is a hash of the image contents, it can be used to differentiate one image from another.
A UPC/EAN/ISBN/GTIN for this variant
Indicates the type of ID provided in standard_identifier
The brand associated with this variant
The manufacturer of this variant
The model number for this variant
The condition of this variant
Additional details about the condition of this variant.
A list of bullet points that describe this variant.
Listing data should provide all of the product data attributes. At a minimum, the pivot attributes will be provided here. All other listing attributes will be provided here as well. Only a subset of the total realm of possible attributes will be provided. This will be based on the Zentail SMART Type system and some other factors. If an attribute is not provided, it can be assumed the value is null. If attributes were created during the mapping process that require explicit units that would be provided in separate unit and value keys.
object
Name of attribute
Value for attribute
Any errors that were found during the validation process
object
Name of attribute
The error message
object
Indicates if there is an additional page. This is true if there is another page, otherwise it is false.
If hasNext is true this provides the full URL for the next page of results.
Example
{ "results": [ { "cpsia_warnings": { "choking hazard balloon": false, "choking hazard contains a marble": false, "choking hazard contains a small ball": false, "choking hazard is a marble": false, "choking hazard is a small ball": false, "choking hazard small parts": false }, "prop65": { "required": false, "type": "alcoholic_beverage", "chemicals": [ "butyl_benzyl_phthalate_bbp_d" ] }, "variants": [ { "standard_identifier_type": "UPC", "condition": "New" } ] } ]}Bad Request
object
Example
{ "errorCode": 400}Permission Denied
object
Example
{ "errorCode": 403}Not Found
object
Example
{ "errorCode": 404}Zentail Error
object
Example
{ "errorCode": 500}Zentail Error
object
Example
{ "errorCode": 503}